@echo off
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
CALL bin\xwinoff.bat
CALL bin\xdoson.bat

SET SKWINEXE=SKULLV4.EXE

echo ************************************
echo SKWIN - DUNGEON MASTER 1 - DEMO DUNGEON
echo ************************************

SET OPTLANG=-en
SET FRONTEND=-dos
SET DATADIR="DATA-DM1\COMMON"
SET GDATOPT="DATA-DM1\COMMON\G1DMV30X.DAT"
SET DUNGEON="DATA-DM1\COMMON\DEMO-GS.DAT"
SET DOSBOX=1

echo %SKWINEXE% %OPTLANG% -data %DATADIR% -gdat %GDATOPT% -dungeon %DUNGEON% > XSKULL.BAT
dosbox\dosbox.exe -c "MOUNT C ." -c "C:" -c "XSKULL.BAT" -conf dosbox.conf

CALL bin\xdosoff.bat